gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.ThemeEngine

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype ThemeEngine = ThemeEngine (ManagedPtr ThemeEngine)

# Exported types

newtype ThemeEngine Source #

Memory-managed wrapper type.

Constructors

ThemeEngine (ManagedPtr ThemeEngine) |

#### Instances

Instances details

Eq ThemeEngine Source # |
Instance details Defined in GI.Gtk.Structs.ThemeEngine Methods (==) :: ThemeEngine -> ThemeEngine -> Bool Source # (/=) :: ThemeEngine -> ThemeEngine -> Bool Source #
BoxedPtr ThemeEngine Source # |
Instance details Defined in GI.Gtk.Structs.ThemeEngine Methods boxedPtrCopy :: ThemeEngine -> IO ThemeEngine Source # boxedPtrFree :: ThemeEngine -> IO () Source #
ManagedPtrNewtype ThemeEngine Source # |
Instance details Defined in GI.Gtk.Structs.ThemeEngine Methods toManagedPtr :: ThemeEngine -> ManagedPtr ThemeEngine Source #

# Methods